<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\StudentController;
use Illuminate\Support\Facades\Auth;

Route::get('/', function () {
    if (Auth::check()) {
        // Redirect to the desired page if the user is authenticated
        return redirect()->route('admin.students.index');
    }

    // Redirect to the login page if the user is not authenticated
    return redirect()->route('login');
});


// Route::get('/dashboard', function () {
//     return view('dashboard');
// })->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

Route::middleware(['auth'])->prefix('admin')->name('admin.')->group(function () {
    Route::resource('students', StudentController::class)->except(['show']);
    
});
Route::get('/dashboard', function () {
    return view('dashboard');
})->name('dashboard');
Route::get('students/{student}', [StudentController::class, 'show'])->name('students.show');
Route::get('students/{student}/wallet', [StudentController::class, 'generateWallet'])->name('students.wallet');

// Non-admin routes
//Route::get('students/{student}', [StudentController::class, 'show'])->name('students.show');


require __DIR__.'/auth.php';
