
<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml"
    xmlns:o="urn:schemas-microsoft-com:office:office">

<head>
    <meta charset="utf-8"> <!-- utf-8 works for most cases -->
    <meta name="viewport" content="width=device-width"> <!-- Forcing initial-scale shouldn't be necessary -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge"> <!-- Use the latest (edge) version of IE rendering engine -->
    <meta name="x-apple-disable-message-reformatting"> <!-- Disable auto-scale in iOS 10 Mail entirely -->
    <title>Student Details</title> <!-- The title tag shows in email notifications, like Android 4.4. -->

    <meta name="color-scheme" content="dark">
    <meta name="supported-color-schemes" content="dark">

    <link href="https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700" rel="stylesheet">

    <!-- CSS Reset : BEGIN -->
    <style>
        /* What it does: Remove spaces around the email design added by some email clients. */
        /* Beware: It can remove the padding / margin and add a background color to the compose a reply window. */
        :root{
            background: #fff;
            background-color: #fff;
            color: #fff;
        }
        html,
        body {
            margin: 0 auto !important;
            padding: 0 !important;
            height: 100% !important;
            width: 100% !important;
            background: #fff;
            
        }

        /* What it does: Stops email clients resizing small text. */
        * {
            -ms-text-size-adjust: 100%;
            -webkit-text-size-adjust: 100%;
        }

        /* What it does: Centers email on Android 4.4 */
        div[style*="margin: 16px 0"] {
            margin: 0 !important;
        }

        /* What it does: Stops Outlook from adding extra spacing to tables. */
        table,
        td {
            mso-table-lspace: 0pt !important;
            mso-table-rspace: 0pt !important;
            background: transparent;
        }

        /* What it does: Fixes webkit padding issue. */
        table {
            border-spacing: 0 !important;
            border-collapse: collapse !important;
            table-layout: fixed !important;
            margin: 0 auto !important;
            background: transparent;
        }

        /* What it does: Uses a better rendering method when resizing images in IE. */
        img {
            -ms-interpolation-mode: bicubic;
        }

        /* What it does: Prevents Windows 10 Mail from underlining links despite inline CSS. Styles for underlined links should be inline. */
        a {
            text-decoration: none;
        }

        /* What it does: A work-around for email clients meddling in triggered links. */
        *[x-apple-data-detectors],
        /* iOS */
        .unstyle-auto-detected-links *,
        .aBn {
            border-bottom: 0 !important;
            cursor: default !important;
            color: inherit !important;
            text-decoration: none !important;
            font-size: inherit !important;
            font-family: inherit !important;
            font-weight: inherit !important;
            line-height: inherit !important;
        }

        /* What it does: Prevents Gmail from displaying a download button on large, non-linked images. */
        .a6S {
            display: none !important;
            opacity: 0.01 !important;
        }

        /* What it does: Prevents Gmail from changing the text color in conversation threads. */
        .im {
            color: inherit !important;
        }

        /* If the above doesn't work, add a .g-img class to any image in question. */
        img.g-img+div {
            display: none !important;
        }

        /* What it does: Removes right gutter in Gmail iOS app: https://github.com/TedGoas/Cerberus/issues/89  */
        /* Create one of these media queries for each additional viewport size you'd like to fix */

        /* iPhone 4, 4S, 5, 5S, 5C, and 5SE */
        @media only screen and (min-device-width: 320px) and (max-device-width: 374px) {
            u~div .email-container {
                min-width: 320px !important;
            }
        }

        /* iPhone 6, 6S, 7, 8, and X */
        @media only screen and (min-device-width: 375px) and (max-device-width: 413px) {
            u~div .email-container {
                min-width: 375px !important;
            }
        }

        /* iPhone 6+, 7+, and 8+ */
        @media only screen and (min-device-width: 414px) {
            u~div .email-container {
                min-width: 414px !important;
            }
        }
    </style>

    <!-- CSS Reset : END -->

    <!-- Progressive Enhancements : BEGIN -->
    <style>
        .primary {
            background: #17bebb;
        }

        .bg_white {
            background: #ffffff;
        }

        .bg_light {
            background: #f7fafa;
        }

        .bg_black {
            background: #eee;
            /* background: linear-gradient(92.87deg, #e30f2e12, #db136011); */
        }


        .email-section {
            padding: 2.5em;
        }

        /*BUTTON*/
        .btn {
            padding: 10px 15px;
            display: inline-block;
        }

        .btn.btn-primary {
            border-radius: 5px;
            background: #17bebb;
            color: #ffffff;
        }

        .btn.btn-white {
            border-radius: 5px;
            background: #ffffff;
            color: #000000;
        }

        .btn.btn-white-outline {
            border-radius: 5px;
            background: transparent;
            border: 1px solid #fff;
            color: #fff;
        }

        .btn.btn-black-outline {
            border-radius: 0px;
            background: transparent;
            border: 2px solid #000;
            color: #fff;
            font-weight: 700;
        }

        .btn-custom {
            color: rgba(0, 0, 0, .3);
            text-decoration: underline;
        }

        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            font-family: 'Poppins', sans-serif;
            color: #fff;
            margin-top: 0;
            font-weight: 400;
        }

        body {
            font-family: 'Poppins', sans-serif;
            font-weight: 400;
            font-size: 15px;
            line-height: 1.8;
            color: #fff;
        }

        a {
            color: #17bebb;
        }

        table {}

        /*LOGO*/

        .logo h1 {
            margin: 0;
        }

        .logo h1 a {
            color: #17bebb;
            font-size: 24px;
            font-weight: 700;
            font-family: 'Poppins', sans-serif;
        }

        /*HERO*/
        .hero {
            position: relative;
            z-index: 0;
        }

        .hero .text {
            color: rgba(0, 0, 0, .3);
        }

        .hero .text h2 {
            color: #000;
            font-size: 34px;
            margin-bottom: 0;
            font-weight: 200;
            line-height: 1.4;
        }

        .hero .text h3 {
            font-size: 24px;
            font-weight: 300;
        }

        .hero .text h2 span {
            font-weight: 600;
            color: #000;
        }

        .text-author {
            
            max-width: 90%;
            margin: 0 auto;
            padding: 2em 1.5em;
        }

        .text-author img {
            border-radius: 50%;
            padding-bottom: 20px;
        }

        .text-author h3 {
            margin-bottom: 0;
        }

        ul.social {
            padding: 0;
        }

        ul.social li {
            display: inline-block;
            margin-right: 10px;
        }

        /*FOOTER*/

        .footer {
            border-top: 1px solid rgba(0, 0, 0, .05);
            color: rgba(0, 0, 0, .5);
        }

        .footer .heading {
            color: #000;
            font-size: 20px;
        }

        .footer ul {
            margin: 0;
            padding: 0;
        }

        .footer ul li {
            list-style: none;
            margin-bottom: 10px;
        }

        .footer ul li a {
            color: rgba(0, 0, 0, 1);
        }

        
        a, h1, h2, h3, h4, h5, h6{
            color: #000;
        }
        p{
            color: #8f8f8f;
        }
        #details{
            display: none;
        }

        @media screen and (max-width: 500px) {}
    </style>


</head>

<body width="100%"
    style="margin: 0; padding: 0 !important; mso-line-height-rule: exactly;">
    <center style="width: 100%; background-color: transparent !important;">
        <div style="max-width: 600px; margin: 0px auto; overflow: hidden; padding: 10px; background: url(<?php echo e(url("/bg-images/bg-abudhabi.jpg")); ?>); background-position: center; background-size: cover;" class="email-container">
            <!-- BEGIN BODY -->
            <table align="center" role="presentation" cellspacing="0" cellpadding="0" border="0" width="100%"
                style="margin: auto; background: transparent;">
                <tr>
                    <td valign="middle" class="hero" style="padding: 1em 0 1em 0; ;">
                        <table role="presentation" border="0" cellpadding="0" cellspacing="0" width="100%">                           
                            <tr>
                                <td colspan="12">
                                    <h2 style="margin: 0; text-align: center; margin-top: 50px; width: 100%; color: #B0882C; font-weight: 600;">ملتقى طلبة الساحل الشرقي في نيويورك 2024</h2>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="12" style="padding: 20px; text-align: end !important;">
                                    <?php
                                    
                                $imageUrl = Storage::disk('public')->url($student->photo); 
                                
                              ?>
                                    
                                    <img src="<?php echo e($imageUrl); ?>" style="height: 180px;" alt="">
                                </td>
                            </tr>
                            
                            <tr>
                                <td colspan="6" style="padding: 10px 20px; text-align: left !important; margin-bottom: 0; font-weight: 600;">
                                    <h5 style="font-size: 18px; margin-bottom:0 !important">Student Name:</h5>
                                </td>
                                <td colspan="6" style="padding: 10px 20px; text-align: end !important; margin-bottom: 0; font-weight: 600;">
                                    <h5 style="font-size: 18px; margin-bottom:0 !important; font-weight: 600;"><?php echo e($student->name); ?></h5>
                                </td>
                            </tr>

                            <tr>
                                <td colspan="6" style="padding: 10px 20px; text-align: left !important; margin-bottom: 0; font-weight: 600;">
                                    <h5 style="font-size: 18px; margin-bottom:0 !important">University Name:</h5>
                                </td>
                                <td colspan="6" style="padding: 10px 20px; text-align: end !important; margin-bottom: 0; font-weight: 600;">
                                    <h5 style="font-size: 18px; margin-bottom:0 !important; font-weight: 600;"><?php echo e($student->university_name); ?></h5>
                                </td>
                            </tr>

                            <tr>
                                <td colspan="6" style="padding: 10px 20px; text-align: left !important; margin-bottom: 0; font-weight: 600;">
                                    <h5 style="font-size: 18px; margin-bottom:0 !important">Conference Date: </h5>
                                </td>
                                <td colspan="6" style="padding: 10px 20px; text-align: end !important; margin-bottom: 0; font-weight: 600;">
                                    <h5 style="font-size: 18px; margin-bottom:0 !important; font-weight: 600;">21st of September</h5>
                                </td>
                            </tr>

                            <tr>
                                <td colspan="6" style="padding: 10px 20px; text-align: left !important; margin-bottom: 0; font-weight: 600;">
                                    <h5 style="font-size: 18px; margin-bottom:0 !important">Hotel Name: </h5>
                                </td>
                                <td colspan="6" style="padding: 10px 20px; text-align: end !important; margin-bottom: 0; font-weight: 600;">
                                    <h5 style="font-size: 18px; margin-bottom:0 !important; font-weight: 600;">NEW YORK MARRIOTT AT THE BROOKLYN BRIDGE</h5>
                                </td>
                            </tr>
                            <tr>
                                <?php
                                    // Get the file extension of the passport photo
                                    $fileExtension = pathinfo($student->passport_photo, PATHINFO_EXTENSION);
                                    $imageUrl = Storage::disk('public')->url($student->passport_photo); 
                                ?>
                            
                                <td colspan="6" style="padding: 20px; text-align: end !important;">
                                    <!-- Button to toggle visibility -->
                                    
                                    
                                    <!-- Image or link container -->
                                    <div>
                                        <?php if(in_array($fileExtension, ['jpg', 'jpeg', 'png', 'gif'])): ?>
                                            <!-- Display image if the file is an image -->
                                            <img src="<?php echo e($imageUrl); ?>" alt="Passport Photo" class="img-fluid" style="max-width: 200px;">
                                        <?php else: ?>
                                            <p><a href="<?php echo e($imageUrl); ?>" class="link-success link-offset-2 link-underline-opacity-25 link-underline-opacity-100-hover">Download Passport</a></p>
                                        <?php endif; ?>
                                    </div>
                                </td>
                            </tr>
                            
                            <script>
                                function toggleVisibility() {
                                    var details = document.getElementById('details');
                                    if (details.style.display === 'none') {
                                        details.style.display = 'block';
                                    } else {
                                        details.style.display = 'none';
                                    }
                                }
                            </script>
                                             

                                       <tr>
                                        <td colspan="12" style="padding: 20px; text-align: center !important;">
                                            
                                            <a href="<?php echo e($googlePath); ?>" target="_blank">Add to Google Wallet</a>
                                            
                                            
                                        </td>
                                    </tr>
                            <tr>
                                <td colspan="12" style="padding: 20px; text-align: center !important;">
                                    
                                    <img src="<?php echo e(url("/qr-codes/student-$student->id")); ?>.png" alt="Passport Photo" class="img-fluid" style="max-width: 200px;">
                                    
                                    
                                </td>
                            </tr>
                            
                            
                        </table>
                    </td>
                </tr><!-- end tr -->
                <!-- 1 Column Text + Button : END -->
            </table>

        </div>
    </center>
</body>

</html>
<?php /**PATH /home/dxbitprojects/public_html/student_managment/resources/views/emails/student_registration.blade.php ENDPATH**/ ?>